Subject: Re: [bitcoin-dev] Taproot NACK

From: R E Broadley <[email-masked]>
Date: Fri, 12 Mar 2021 13:04:05 +0000

Can I just point out (to those addressing James as Lord/Excelency/etc
that he isn't noble nor a Lord, so just wanted to mention this in case
people were giving him more attention than the average person would be
afforded.

My 2p (an equal 2p) on Taproot is ACK, by the way.

On Thu, 11 Mar 2021 at 00:49, Keagan McClelland via bitcoin-dev
<[email-masked]> wrote:
>
> LORD HIS EXCELLENCY,
>
> This isn't different with Taproot either. When you spend a P2SH output you reveal the script. In Taproot you reveal the portion of the script that is relevant to allowing you to spend it. There is no value to specifying the other possible conditions that could have moved the coins because, after all, you aren't invoking those clauses to move the coins. I am showing you my fingertip, and pointing to my finger tip, the palm is not relevant.
>
> Keagan
>
> On Wed, Mar 10, 2021 at 2:11 AM LORD HIS EXCELLENCY JAMES HRMH via bitcoin-dev <[email-masked]> wrote:
>>
>> Good Afternoon,
>>
>> You cannot liken the ability to scrutinise the public ledger to be the same as hiding information, it is like showing your palm while you are pointing at the back of your hand. The advice that I have is P2SH is scrutable once the UTXO is spent. Also, there is no public ledger obfuscation in creating new addresses, there is a plausible reduction in transaction linkage.
>>
>> KING JAMES HRMH
>> Great British Empire
>>
>> Regards,
>> The Australian
>> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
>> of Hougun Manor & Glencoe & British Empire
>> MR. Damian A. James Williamson
>> Wills
>>
>> et al.
>>
>>
>> Willtech
>> www.willtech.com.au
>> www.go-overt.com
>> and other projects
>>
>> earn.com/willtech
>> linkedin.com/in/damianwilliamson
>>
>>
>> m. 0487135719
>> f. +61261470192
>>
>>
>> This email does not constitute a general advice. Please disregard this email if misdelivered.
>> ________________________________
>> From: bitcoin-dev <[email-masked]> on behalf of Ryan Grant via bitcoin-dev <[email-masked]>
>> Sent: Saturday, 6 March 2021 1:04 AM
>> To: Bitcoin Protocol Discussion <[email-masked]>
>> Subject: Re: [bitcoin-dev] Taproot NACK
>>
>> On Thu, Mar 4, 2021 at 8:48 PM LORD HIS EXCELLENCY JAMES HRMH via
>> bitcoin-dev <[email-masked]> wrote:
>> > My concern was that the more complex scripts allow obfuscation of the Pay To address
>>
>> This is no different from options available in P2SH, or from the
>> obfuscation achieved by generating a new address for a payment.
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev